package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainMeasureCommission;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstrainMeasureCommissionMapper extends IBaseMapper<TmstrainMeasureCommission, BigDecimal> {
    //查询最大主键ID
    @Select("select seq_train_measure_commission.nextval from dual")
    BigDecimal selectMaxId();

    //查询车皮计量委托
    Map<String, Object> getTrainMeasureCommission(Map<String, Object> map);

    //查询没有发送过计量委托的车皮装车实绩并且到站是新区轨道衡和老区轨道衡的车皮装车实绩（不是补录）
    List<Map<String, Object>> getLoadResultToSendMC(Map<String, Object> map);
}